#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Program to edit application shortcuts
Name:		lxshortcut
Version:	0.1.2
Release:	3
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	72f0dfafa8098be853beae6e33b5e13b
URL:		http://wiki.lxde.org/en/LXShortCut
BuildRequires:	gettext-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXShortcut is a small program used to edit application shortcuts
created with freedesktop.org Desktop Entry spec.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
touch po/stamp-it
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK
# unsupported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/frp

mv $RPM_BUILD_ROOT%{_datadir}/locale/tt{_RU,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxshortcut
%{_datadir}/lxshortcut
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxshortcut.git;a=log;h=master

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> 719876b
- tt_RU already supported, dir renamed, rel. 3, STBR

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> bffd6ef
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> 4fc480e
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> d02c287
- up to 0.1.2, gtk3 bcond

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> 93e1ab7
- more precise urls

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> 98155e2
- ws cleanup

* Fri Jul 30 2010 sparky <sparky@pld-linux.org> b5223f6
- BR: gettext-devel, pkgconfig
- workaround for broken po/Makefile

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 4be0f01
- new

